org.eclipse.emf.compare.ide.internal.hook

## Class ResourceSetHookRegistry

- java.lang.Object
- - org.eclipse.emf.compare.ide.internal.hook.ResourceSetHookRegistry

    public class ResourceSetHookRegistry
    extends Object

Resgistry of `IResourceSetHook`.

### Constructor Summary

Constructors
Constructor and Description
`ResourceSetHookRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<IResourceSetHook>` `getResourceSetHooks()` Gets the registered `IResourceSetHook`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceSetHookRegistry

    public ResourceSetHookRegistry()

### Method Detail

#### getResourceSetHooks

    public Collection<IResourceSetHook> getResourceSetHooks()

Gets the registered `IResourceSetHook`s.

Returns:
  unmodifiable `Collection` of `IResourceSetHook`.